<?php

namespace Paygenius\Paygenius\Gateway\Intergration;


class ExecutePaymentRefund extends AbstractRequest
{
    public $reference;
    public $amount;

    function __construct($reference, $amount)
    {
        parent::__construct('payment/%s/refund', 'POST');

        $this->reference    = $reference;
        $this->amount       = $amount;
    }

    public function getEndpoint()
    {
        return sprintf(parent::getEndpoint(), $this->reference);
    }

}