# README #

Setting up the Paygenius magento 2.2 payment module.

### What is this repository for? ###

* Paygenius magento 2.2.x payment plugin. Credit card payments.
* Version 2.0
* [Learn Markdown](https://bitbucket.org/tutorials/markdowndemo)

### How do I get set up? ###

* PHP >= 7.1
* Magento 2.2.x project/store set up on your environment 
* navigate to **app/code/** in the directoryy root.
* Clone this repo into the current directory.
* Navigate back to project root and run command **php/bin magento module:status**. Paygenius module should be appearing under disabled modules.
* Run command **php/bin magento module:enable Paygenius_Paygenius**.
* A follow up of module status should have the module under enabled modules.
* Run command **php/bin magento setup:upgrade** followed by **php/bin magento setup:di:compile**
* Then clear the cache with **php/bin magento cache:flush** and you are ready to go.
* Navigate to your magento admin page and navigate to "stores/configurations/sales/payment methods" and enable Paygenius providing the correct credentials.
* From there you are all set.

### Who do I talk to? ###

* [Godfrey Bafana](https://bitbucket.org/godfreybafana)
* Other community or team contact