<?php
/*
 * Copyright (c) 2016 Methys Digital
 * All rights reserved.
 *
 * This software is the confidential and proprietary information of Methys Digital.
 * ("Confidential Information"). You shall not disclose such
 * Confidential Information and shall use it only in accordance with
 * the terms of the license agreement you entered into with Methys Digital.
 */

namespace Paygenius\Paygenius\Gateway\Intergration;

class CreatePaymentRequest extends AbstractRequest
{
    public $creditCard;
    public $transaction;
    public $threeDSecure;
    public $consumer;
    /**
     * @var null
     */
    private $urls;

    function __construct($creditCard = null, $transaction = null, $threeDSecure = null, $consumer = null, $urls = null)
    {
        parent::__construct("payment/create");

        $this->creditCard   = $creditCard;
        $this->transaction  = $transaction;
        $this->threeDSecure = $threeDSecure;
        $this->consumer     = $consumer;
    }
}