<?php

namespace Paygenius\Paygenius\Gateway\Intergration;


class ExecutePartialAmountRequest extends ExecutePaymentRequest
{
    public $transaction = array();

    /**
     * ExecutePartialAmountRequest constructor.
     * @param null $reference
     * @param int $amount
     * @param string $currency
     */
    public function __construct($reference, $amount, $currency = 'ZAR')
    {
        parent::__construct($reference, 'POST');

        $this->transaction['amount']    = $amount;
        $this->transaction['currency']  = $currency;
    }
}