<?php

namespace Paygenius\Paygenius\Gateway\Intergration;


class StoreCardRequest extends AbstractRequest
{
    public $number;
    public $cardHolder;
    public $expiryYear;
    public $expiryMonth;
    public $type;
    public $cvv;

    /**
     * StoreCardRequest constructor.
     */
    public function __construct($number = null, $cardHolder = null, $expiryYear = null, $expiryMonth = null, $type = null, $cvv = null)
    {
        parent::__construct('card/register');

        $this->number       = $number;
        $this->cardHolder   = $cardHolder;
        $this->expiryYear   = (int)$expiryYear;
        $this->expiryMonth  = (int)$expiryMonth;
        $this->type         = $type;
        $this->cvv          = (int)$cvv;
    }
}