<?php
/*
 * Copyright (c) 2018 Methys Digital
 * All rights reserved.
 *
 * This software is the confidential and proprietary information of Methys Digital.
 * ("Confidential Information"). You shall not disclose such
 * Confidential Information and shall use it only in accordance with
 * the terms of the license agreement you entered into with Methys Digital.
 */
namespace Paygenius\Paygenius\Model\Adminhtml\Source;


/**
 * Class PaymentAction
 */
class Currency implements \Magento\Framework\Option\ArrayInterface
{

    /**
     * {@inheritdoc}
     */
    public function toOptionArray()
    {
        return [
            [
                'value' => 'ZAR',
                'label' => __('South African Rand')
            ],
            [
                'value' => 'USD',
                'label' => __('US Dollar')
            ],
            [
                'value' => 'EUR',
                'label' => __('EURO')
            ],
            [
                'value' => 'GBP',
                'label' => __('British Pound')
            ]
        ];
    }
}
